commit 6f0aa1932e63e3685d45af080740a20904d7dc2c
Author: Petr Lukašík <lukasik@rtsoft.cz>
Date:   Sun Jun 9 01:27:39 2019 +0200

    Re #7580 htacess fix odkazy

diff --git a/old/html/multidic/app/webroot/css/hebrewindex.css b/old/html/multidic/app/webroot/css/hebrewindex.css
index fd5bbed..7f087ed 100644
--- a/old/html/multidic/app/webroot/css/hebrewindex.css
+++ b/old/html/multidic/app/webroot/css/hebrewindex.css
@@ -1,10 +1,10 @@
 
 	/* Import simple typographic rules  (1) */
-@import url("typograph.css");
+@import "typograph.css";
 
 	/* Import typographic modifications - make it nice */
-@import url("typomodifications.css");
+@import "typomodifications.css";
 
 
 	/* Import layout */
-@import url("layout.css");
\ No newline at end of file
+@import "layout.css";
\ No newline at end of file
diff --git a/old/html/multidic/app/webroot/css/typomodifications.css b/old/html/multidic/app/webroot/css/typomodifications.css
index 8c45c56..a3cfc0e 100644
--- a/old/html/multidic/app/webroot/css/typomodifications.css
+++ b/old/html/multidic/app/webroot/css/typomodifications.css
@@ -22,11 +22,9 @@ a {
 a[href ^="https://"],
 a[href ^="http://"],
 a.external {
-	background: url(external.png) no-repeat center right;
 	padding-right: 16px;
 }
 a[href ^="mailto:"] {
-	background: url(mail.png) no-repeat center right;
 	padding-right: 16px;
 }
 
diff --git a/old/html/multidic/app/webroot/index.php b/old/html/multidic/app/webroot/index.php
index 33673d1..5086d7e 100644
--- a/old/html/multidic/app/webroot/index.php
+++ b/old/html/multidic/app/webroot/index.php
@@ -1,138 +1,132 @@
-<!DOCTYPE html 
-	PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"	 
-	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
-	
+<!DOCTYPE html
+        PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
+        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
+
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs" lang="cs">
-  
+
 <head>
-   <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
-   <title>Studijní slovníky Centra Blízkovýchodních studií</title>
-   <?php // /* ?>
-   <link rel="stylesheet" type="text/css" media="all" href="css/hebrewindex.css" />
-   <!--[if IE ]> 
-	<link rel="stylesheet" type="text/css" media="all" href="css/cssie.css" /> 
-   <![endif]-->
-   
-   <?php // */ ?>
-   
-   <style type="text/css">
+    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
+    <title>Studijní slovníky Centra Blízkovýchodních studií</title>
+    <link rel="stylesheet" type="text/css" media="all" href="multidic/css/hebrewindex.css"/>
+    <!--[if IE ]>
+    <link rel="stylesheet" type="text/css" media="all" href="css/cssie.css"/>
+    <![endif]-->
+
+
+    <style type="text/css">
         h1 {
-            padding:20px;
+            padding: 20px;
         }
-    
-        a.tlacitko{
-            font-family : Verdana, Geneva, Arial, Helvetica, sans-serif;
-            font-weight : bolder;
-            font-size : 1.5em;
-            
-            margin : 10px; 
-            padding : 10px;
-            
+
+        a.tlacitko {
+            font-family: Verdana, Geneva, Arial, Helvetica, sans-serif;
+            font-weight: bolder;
+            font-size: 1.5em;
+
+            margin: 10px;
+            padding: 10px;
+
             margin-left: auto;
             margin-right: auto;
-            
-            background-color : #FFFFFF;
-            
-            border-top : 1px solid Silver;
-            border-left : 1px solid Silver;
-            border-right : 3px solid Silver;
-            border-bottom : 3px solid Silver;
-            
-            color : #111111;
-            text-decoration : none;
+
+            background-color: #FFFFFF;
+
+            border-top: 1px solid Silver;
+            border-left: 1px solid Silver;
+            border-right: 3px solid Silver;
+            border-bottom: 3px solid Silver;
+
+            color: #111111;
+            text-decoration: none;
             width: 200px;
-            
-            display:block;
+
+            display: block;
         }
-        
-        
-        a.tlacitko:hover{
-            border-top : 1px solid Black;
-            border-left : 1px solid Black;
-            border-right : 3px solid Black;
-            border-bottom : 3px solid Black;
+
+
+        a.tlacitko:hover {
+            border-top: 1px solid Black;
+            border-left: 1px solid Black;
+            border-right: 3px solid Black;
+            border-bottom: 3px solid Black;
         }
-        
+
         div.kolem {
             width: 49%;
             height: 100%;
         }
-        
+
         div.env {
-            
+
         }
     </style>
 </head>
-  
-<body>    
+
+<body>
 
 <div id="all">
-  <div id="center">
-    
-    
-    <div id="desk">
-        
-      <div id="flags">
-        
-      </div><!-- konec flags -->
-      <div id="card" class="rounded">
-      
-            <h1> Studijní slovníky Centra Blízkovýchodních Studií </h1>
-            
-            <div class="env">
-                <div class="kolem" style="float:left">
-                    <a href="/multidic/arabic" class="tlacitko">Arabský slovník</a>
+    <div id="center">
+
+
+        <div id="desk">
+
+            <div id="flags">
+
+            </div><!-- konec flags -->
+            <div id="card" class="rounded">
+
+                <h1> Studijní slovníky Centra Blízkovýchodních Studií </h1>
+
+                <div class="env">
+                    <div class="kolem" style="float:left">
+                        <a href="multidic/arabic" class="tlacitko">Arabský slovník</a>
+                    </div>
+                    <div class="kolem" style="float:right">
+                        <a href="multidic/hebrew" class="tlacitko">Hebrejský slovník</a>
+                    </div>
+
+                    <hr style="clear:both;visibility:hidden"/>
                 </div>
-                <div class="kolem" style="float:right">
-                    <a href="/multidic/hebrew" class="tlacitko">Hebrejský slovník</a>
+
+
+                <div>
+                    <p>
+                        Společný výzkum akademických pracovníků a studentů se soustředí na rozvíjení podoby
+                        arabsko-českého,
+                        česko-arabského a hebrejsko-českého, česko-hebrejského on-line slovníku. Studenti mají možnost
+                        průběžně
+                        využívat modul určený ke&nbsp;zkoušení slovíček, volné vyhledávání ve&nbsp;slovníku je pak
+                        zpřístupněno široké
+                        veřejnosti. Dostupná je také zvuková verze umožňující náslech vybraných slov. Tento záznam je
+                        pořizován
+                        ve&nbsp;spolupráci s&nbsp;rodilými mluvčími. Obě verze zároveň umožňují prohlížení vybraných
+                        vokalizovaných výukových
+                        textů. Studijní slovníček představuje jádro budoucí tvorby e-learningových kurzů.
+                    </p>
                 </div>
-                
-                <hr style="clear:both;visibility:hidden"/>
-            </div>
-            
-            
-            <div>
-            <p>
-                Společný výzkum akademických pracovníků a studentů se soustředí na rozvíjení podoby arabsko-českého, 
-                česko-arabského a hebrejsko-českého, česko-hebrejského on-line slovníku. Studenti mají možnost průběžně 
-                využívat modul určený ke&nbsp;zkoušení slovíček, volné vyhledávání ve&nbsp;slovníku je pak zpřístupněno široké 
-                veřejnosti. Dostupná je také zvuková verze umožňující náslech vybraných slov. Tento záznam je pořizován 
-                ve&nbsp;spolupráci s&nbsp;rodilými mluvčími. Obě verze zároveň umožňují prohlížení vybraných vokalizovaných výukových 
-                textů. Studijní slovníček představuje jádro budoucí tvorby e-learningových kurzů. 
-            </p>
-            </div>
-            
-        <div class="copyright" style="border-top:solid 1px #aaa;font-size:10px;margin:15px 0pt 0pt;padding:2px;valign:middle">
-        	<img src="pict/zcu_logo.png" 
-        		alt="Západočeská univerzita v Plzni - logo" 
-        		 />
-            Copyright &copy; 2007 
-        	<a href="http://www.zcu.cz" title="Západočeská univerzita v Plzni">Západočeská univerzita</a>
-
-        	<a href="http://www.kbs.zcu.cz/" title="Centrum blízkovýchodních studií">Centrum blízkovýchodních studií</a>
-        	</span>
-        </div>
-        <div style="">
+
+                <div class="copyright"
+                     style="border-top:solid 1px #aaa;font-size:10px;margin:15px 0pt 0pt;padding:2px;valign:middle">
+                    <img src="multidic/pict/zcu_logo.png"
+                         alt="Západočeská univerzita v Plzni - logo"
+                    />
+                    Copyright &copy; 2007
+                    <a href="http://www.zcu.cz" title="Západočeská univerzita v Plzni">Západočeská univerzita</a>
+
+                    <a href="http://www.kbs.zcu.cz/" title="Centrum blízkovýchodních studií">Centrum blízkovýchodních
+                        studií</a>
+                    </span>
+                </div>
+                <div style="">
         
         	<span>
+                </div>
+            </div><!-- konec card -->
         </div>
-      </div><!-- konec card -->
-    </div>
 
-  </div><!-- konec center -->
+    </div><!-- konec center -->
 </div><!-- konec all -->
 
-
-    <script type="text/javascript">
-    var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
-    document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
-    </script>
-    <script type="text/javascript">
-    try {
-    var pageTracker = _gat._getTracker("UA-4912419-6");
-    pageTracker._trackPageview();
-    } catch(err) {}</script>
-
 </body>
 
 </html>